Subject: bug#32720: term-mode ignores certain window size changes

From: Gary Fredericks <[email-masked]>
Date: Wed, 16 Jan 2019 08:07:38 -0600

I tracked down my issue to this line in my configuration:

https://github.com/gfredericks/dotfiles/blob/48c503319046517fc1767735d09fbb232ace12ba/base/.emacs.d/user/gfredericks-longrunning.el.symlink#L34

I can see how it's related, since it's adding a
window-configuration-change-hook, but I can't tell at a glance what's wrong
with it. It's a function that tries to save the current window
configuration to a variable each time it changes.

I'm going to use the new emacs[1] for a while with this line commented out
to see if there are any other issues.

Gary Fredericks
(803)-295-0195
[email-masked]
gfredericks.com

[1] Actually running b0b483d714 because I couldn't get master (655badc33e)
to compile

On Fri, Jan 11, 2019 at 3:24 AM martin rudalics <[email-masked]> wrote:

>  > Actually I think I *have* run into the problem again, but this time it
>  > seems to be related to my use of this plugin:
>  > https://github.com/tlh/workgroups.el (in particular, C-x C-f from the
>  > scratch buffer works before setting up a workgroup, but not after --
> after
>  > it complains about the minibuffer being active).
>  >
>  > I'm going to try not using it for a few days to see if there are any
> other
>  > issues.
>
> The changes are on master now so please remove yours before pulling
> from master the next time.
>
> And obviously please report any findings you have ASAP.
>
> Thank you, martin
>